commit: 464fb45e98cb788c007ffea53b046d12b04b1ec4
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 1 16:20:13 2016 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Apr 1 16:20:13 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=464fb45e
dev-python/wcwidth: added python3_5
Package-Manager: portage-2.2.28
dev-python/wcwidth/wcwidth-0.1.6-r1.ebuild | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
diff --git a/dev-python/wcwidth/wcwidth-0.1.6-r1.ebuild
b/dev-python/wcwidth/wcwidth-0.1.6-r1.ebuild
new file mode 100644
index 0000000..bbc123d
--- /dev/null
+++ b/dev-python/wcwidth/wcwidth-0.1.6-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Measures number of Terminal column cells of wide-character codes"
+HOMEPAGE="https://pypi.python.org/pypi/wcwidth/
https://github.com/jquast/wcwidth"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ py.test -v -rs --strict wcwidth/tests || die
+}